http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/network-routesGets the network routes of the specified global network.
The ID of the global network.
The route types.
The route states.
The IDs of the prefix lists.
The routes with a subnet that match the specified CIDR filter.
An exact CIDR block.
The routes with a CIDR that encompasses the CIDR filter. Example: If you specify 10.0.1.0/30, then the result returns 10.0.1.0/29.
Filter by route table destination. Possible Values: TRANSIT_GATEWAY_ATTACHMENT_ID, RESOURCE_ID, or RESOURCE_TYPE.
The most specific route that matches the traffic (longest prefix match).
Describes a route table.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/network-routes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/network-routesGets the network routes of the specified global network.
The ID of the global network.
The route types.
The route states.
The IDs of the prefix lists.
The routes with a subnet that match the specified CIDR filter.
An exact CIDR block.
The routes with a CIDR that encompasses the CIDR filter. Example: If you specify 10.0.1.0/30, then the result returns 10.0.1.0/29.
Filter by route table destination. Possible Values: TRANSIT_GATEWAY_ATTACHMENT_ID, RESOURCE_ID, or RESOURCE_TYPE.
The most specific route that matches the traffic (longest prefix match).
Describes a route table.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/network-routes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}